- manage releasing thanks to script -> for ex when tag is pushed run a specific deploy step which will update release from tag and create the artifact
- add shell completions to the command
- add relation between sparkapp and other component to ensure deletion of those objects when spark app deleted see finalizer
- add list spark app sub command and filter with username to only get those from user
- add get status job sub command
- update sparkapp template to manage more use cases (python....)
- update the template to rely on the hadoop conf and spark conf configmap in the cluster
- update the cli to manage the push of the artifacts to hdfs and update the sparkapp to point on those files in the hdfs
- add debian package creation
- check kerberos before trying to submit (initialize?)
